Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024686
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2013-09-04 10:212013-09-17 19:02
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0MP28
StatusclosedFix in branchFixed in SCM revision4e3c9792779c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024686: Grid configuration not saved if the only config is different sorting

DescriptionGrid configuration is not persisted if the only modification in grid is to change the order by.
Steps To ReproduceIn a professional instance:

1.1 Go to Sales Order window in grid view
1.2 Hide Business Partner column in grid
1.3 Close and reopen Sales Order window
     -> Business Partner column is not shown in grid: CORRECT

2.1 Go to Sales Order window in grid view
2.2 Sort by Total Gross Amount and move this column to first position in grid
2.3 Close and reopen Sales Order window
     -> Grid is kept as it was modified: CORRECT

3.1 Go to Sales Order window in grid view
3.2 Sort by Order Date column
3.3 Close and reopen Sales Order window
     -> Grid is not sorted by Order Date: INCORRECT
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024684 closedalostale Double DataSource request when there is grid configuration 

-  Notes
(0060913)
hgbot (developer)
2013-09-04 12:26

Repository: erp/devel/pi
Changeset: 4e3c9792779c604e34dd18ddb822ac6c96fcb677
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Sep 04 12:26:15 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4e3c9792779c604e34dd18ddb822ac6c96fcb677 [^]

fixed bug 24686: grid config not saved if the only config is different sorting

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0061154)
shankarb (developer)
2013-09-15 08:53

Code reviewed and tested in pi changeset ceeb08524ec9.
(0061214)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-04 10:21 alostale New Issue
2013-09-04 10:21 alostale Assigned To => AugustoMauch
2013-09-04 10:21 alostale Modules => Core
2013-09-04 10:21 alostale Triggers an Emergency Pack => No
2013-09-04 10:21 alostale Relationship added related to 0024684
2013-09-04 12:25 alostale Review Assigned To => shankarb
2013-09-04 12:25 alostale Assigned To AugustoMauch => alostale
2013-09-04 12:26 hgbot Checkin
2013-09-04 12:26 hgbot Note Added: 0060913
2013-09-04 12:26 hgbot Status new => resolved
2013-09-04 12:26 hgbot Resolution open => fixed
2013-09-04 12:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4e3c9792779c604e34dd18ddb822ac6c96fcb677 [^]
2013-09-15 08:53 shankarb Note Added: 0061154
2013-09-15 08:53 shankarb Status resolved => closed
2013-09-15 08:53 shankarb Fixed in Version => 3.0MP28
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061214


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker